import { hydrate, QueryClient } from '@tanstack/react-query';

export default function initializeQueryClient(initialState) {
  const client = new QueryClient();

  hydrate(client, initialState);

  return client;
}
